### Method

# Clutter AlignConstraint set_factor

#### Declaration [src]

    void
    clutter_align_constraint_set_factor (
      ClutterAlignConstraint* align,
      gfloat factor
    )

#### Description [src]

Sets the alignment factor of the constraint

The factor depends on the `ClutterAlignConstraint:align-axis` property and it is a value between 0.0 (meaning left, when `ClutterAlignConstraint:align-axis` is set to `CLUTTER_ALIGN_X_AXIS`; or meaning top, when `ClutterAlignConstraint:align-axis` is set to `CLUTTER_ALIGN_Y_AXIS`) and 1.0 (meaning right, when `ClutterAlignConstraint:align-axis` is set to `CLUTTER_ALIGN_X_AXIS`; or meaning bottom, when `ClutterAlignConstraint:align-axis` is set to `CLUTTER_ALIGN_Y_AXIS`). A value of 0.5 aligns in the middle in either cases.

Sets property | `Clutter.AlignConstraint:factor`

#### Parameters

`factor`

  Type: `gfloat`

  The alignment factor, between 0.0 and 1.0.